aboutsummaryrefslogtreecommitdiff
path: root/debug-install.sh
diff options
context:
space:
mode:
Diffstat (limited to 'debug-install.sh')
-rwxr-xr-xdebug-install.sh20
1 files changed, 20 insertions, 0 deletions
diff --git a/debug-install.sh b/debug-install.sh
new file mode 100755
index 0000000..096eefa
--- /dev/null
+++ b/debug-install.sh
@@ -0,0 +1,20 @@
+#!/bin/sh -e
+
+script_dir=$(dirname "$0")
+cd "$script_dir"
+
+[ $(id -u) -ne 0 ] && echo "You need root privileges to run the install script" && exit 1
+
+DEBUG=1 ./build.sh
+
+install -Dm755 "gsr-kms-server" "/usr/bin/gsr-kms-server"
+install -Dm755 "gpu-screen-recorder" "/usr/bin/gpu-screen-recorder"
+if [ -d "/usr/lib/systemd/user" ]; then
+ install -Dm644 "extra/gpu-screen-recorder.service" "/usr/lib/systemd/user/gpu-screen-recorder.service"
+fi
+# Not necessary, but removes the password prompt when trying to record a monitor on amd/intel or nvidia wayland
+setcap cap_sys_admin+ep /usr/bin/gsr-kms-server
+# Not necessary, but allows use of EGL_CONTEXT_PRIORITY_LEVEL_IMG which allows gpu screen recorder to run without being limited to game fps under heavy load on AMD/Intel
+setcap cap_sys_nice+ep /usr/bin/gpu-screen-recorder
+
+echo "Successfully installed gpu-screen-recorder (debug)"